@ECHO OFF
IF "%~1"==""  GOTO Get
IF "%~1"=="0" GOTO Set
IF "%~1"=="1" GOTO Set
GOTO Syntax

:Set
ECHO Before:
REG.EXE Query HKCU\Console /v QuickEdit
ECHO Set new value . . .
REG.EXE Add HKCU\Console /v QuickEdit /t REG_DWORD /d %1 /f
ECHO.
ECHO After:

:Get
REG.EXE Query HKCU\Console /v QuickEdit
GOTO:EOF

:Syntax
ECHO.
ECHO DefaultQuickEditMode.bat,  Version 1.00
ECHO Get or set the default Quick-Edit mode for console windows
ECHO.
ECHO Usage:  DefaultQuickEditMode.bat  [ 0 ^| 1 ]
ECHO.
ECHO Where:  0    sets default Quick-Edit mode to disabled
ECHO         1    sets default Quick-Edit mode to enabled
ECHO.
ECHO Notes:  Without command line argument the current setting is shown.
ECHO         Changing the default setting will NOT affect the current
ECHO         console, start a new console to use the modified setting.
ECHO         This setting may affect PowerShell consoles too.
ECHO.
ECHO Written by Rob van der Woude
ECHO https://www.robvanderwoude.com

EXIT /B 1
